# cursor.hxx File Reference

`#include "pqxx/compiler-public.hxx"`
`#include "pqxx/compiler-internal-pre.hxx"`
`#include "pqxx/result"`
`#include "pqxx/transaction_base"`
`#include "pqxx/compiler-internal-post.hxx"`

Include dependency graph for cursor.hxx:

Go to the source code of this file.

## Namespaces

namespace | pqxx

## Classes

class | pqxx::cursor_base
| Common definitions for cursor types. More...
struct | pqxx::cursor_base::cachedquery
class | pqxx::basic_cursor< ACCESS, UPDATE >
| The simplest form of cursor, with no concept of position or stride. More...
class | pqxx::absolute_cursor< ACCESS, UPDATE >
| Cursor that knows its position. More...
class | pqxx::icursorstream
| Simple read-only cursor represented as a stream of results. More...
class | pqxx::icursor_iterator
| Approximate istream_iterator for icursorstream. More...

## Typedefs

typedef basic_cursor< cursor_base::random_access, cursor_base::read_only > | pqxx::cursor
| Convenience typedef: the most common cursor type (read-only, random access).
typedef absolute_cursor< cursor_base::random_access, cursor_base::read_only > | pqxx::abscursor
| Convenience typedef: read-only, random-access absolutely-positioning cursor.

## Functions

template<>
void | pqxx::cursor_base::check_displacement< cursor_base::forward_only > (difference_type) const